Share via


Resource Guards - Get Default Delete Protected Item Requests Object

Returns collection of operation request objects for a critical operation protected by the given ResourceGuard resource.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DataProtection/resourceGuards/{resourceGuardsName}/deleteProtectedItemRequests/{requestName}?api-version=2026-03-01

URI Parameters

Name In Required Type Description
requestName
path True

string

The name of the DppBaseResource

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

resourceGuardsName
path True

string

The name of the ResourceGuardResource

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

DppBaseResource

Azure operation completed successfully.

Other Status Codes

CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Get DefaultOperationsRequestObject

Sample request

GET https://management.azure.com/subscriptions/0b352192-dcac-4cc7-992e-a96190ccc68c/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/resourceGuards/swaggerExample/deleteProtectedItemRequests/default?api-version=2026-03-01

Sample response

{
  "name": "default",
  "type": "Microsoft.DataProtection/resourceGuards/deleteProtectedItemRequests",
  "id": "/subscriptions/0b352192-dcac-4cc7-992e-a96190ccc68c/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/resourceGuards/swaggerExample/deleteProtectedItemRequests/default"
}

Definitions

Name Description
CloudError

An error response from Azure Backup.

createdByType

The type of identity that created the resource.

DppBaseResource

Base resource under Microsoft.DataProtection provider namespace

Error

The resource management error response.

ErrorAdditionalInfo

The resource management error additional info.

systemData

Metadata pertaining to creation and last modification of the resource.

CloudError

An error response from Azure Backup.

Name Type Description
error

Error

The resource management error response.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

DppBaseResource

Base resource under Microsoft.DataProtection provider namespace

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

Error

The resource management error response.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

Error[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.